commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Subscript

# Documentation

class HasSubscript a where Source #

Methods

subscript :: a -> a Source #

#### Instances

Instances details

HasSubscript (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Subscript Methods subscript :: Html a -> Html a Source #
(HasSubscript i, Monoid i) => HasSubscript (WithSourceMap i) Source # |
Instance details Defined in Commonmark.Extensions.Subscript Methods subscript :: WithSourceMap i -> WithSourceMap i Source #

subscriptSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasSubscript il) => SyntaxSpec m il bl Source #